summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorwlemb <wlemb>2001-11-26 21:53:24 +0000
committerwlemb <wlemb>2001-11-26 21:53:24 +0000
commit0380dc494b9e026075a49a9f8b0c9b8a1e6d11a5 (patch)
tree907a9b4ace936d336e2c50a1c45c282383face4d
parent27f30ca70d36830294cb7927910061676d4a255d (diff)
downloadgroff-0380dc494b9e026075a49a9f8b0c9b8a1e6d11a5.tar.gz
* aclocal.m4 (GROFF_MKSTEMP): Implement test using C++ linkage.
* configure: Regenerated. * win32-diffs: Updated. * tmac/groff_mwww.tmac: Renamed to ... * tmac/groff_www.tmac: This. * tmac/mwww.tmac: Removed. * NEWS, tmac/Makefile.sub: Updated. * doc/groff.texinfo: Improve documentation of the `\v' escape. Fix explanation of `\D' and `rt'.
-rw-r--r--ChangeLog16
-rw-r--r--NEWS3
-rw-r--r--aclocal.m413
-rwxr-xr-xconfigure172
-rw-r--r--doc/groff.texinfo29
-rw-r--r--tmac/Makefile.sub4
-rw-r--r--tmac/groff_www.man291
-rwxr-xr-xtmac/mwww.tmac3
-rw-r--r--win32-diffs10
9 files changed, 415 insertions, 126 deletions
diff --git a/ChangeLog b/ChangeLog
index 4de1b726..5490015e 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,19 @@
+2001-11-26 Werner LEMBERG <wl@gnu.org>
+
+ * aclocal.m4 (GROFF_MKSTEMP): Implement test using C++ linkage.
+ * configure: Regenerated.
+ * win32-diffs: Updated.
+
+ * tmac/groff_mwww.tmac: Renamed to ...
+ * tmac/groff_www.tmac: This.
+ * tmac/mwww.tmac: Removed.
+ * NEWS, tmac/Makefile.sub: Updated.
+
+2001-11-21 Werner LEMBERG <wl@gnu.org>
+
+ * doc/groff.texinfo: Improve documentation of the `\v' escape.
+ Fix explanation of `\D' and `rt'.
+
2001-11-20 Werner LEMBERG <wl@gnu.org>
* tmac/an-old.tmac (an-header): Set header length equal to page
diff --git a/NEWS b/NEWS
index 6e075757..7d448d8e 100644
--- a/NEWS
+++ b/NEWS
@@ -52,6 +52,9 @@ o A new macro `Ex' has been added to the mdoc macro package to document an
o `troff.man' has been split. Differences to UNIX troff are now documented
in the new man page `groff_diff.man'.
+o `groff_mwww.man' has been renamed to `groff_www.man'. The file mwww.tmac
+ has been removed.
+
groff
-----
diff --git a/aclocal.m4 b/aclocal.m4
index bf4308db..6f36ca89 100644
--- a/aclocal.m4
+++ b/aclocal.m4
@@ -504,12 +504,15 @@ dnl
dnl If mkstemp() isn't available, use our own mkstemp.cc file.
dnl
AC_DEFUN(GROFF_MKSTEMP,
-[AC_LANG_PUSH(C++)
+[AC_MSG_CHECKING([for mkstemp])
+AC_LANG_PUSH(C++)
AC_LIBSOURCE(mkstemp.cc)
-AC_CHECK_FUNC(mkstemp,
- [AC_DEFINE(HAVE_MKSTEMP, 1,
- [Define if you have mkstemp().])],
- [_AC_LIBOBJ(mkstemp)])
+AC_TRY_LINK([#include <stdlib.h>
+int (*f) (char *);],
+[f = mkstemp;],
+AC_MSG_RESULT(yes);AC_DEFINE(HAVE_MKSTEMP, 1,
+ [Define if you have mkstemp().]),
+AC_MSG_RESULT(no);_AC_LIBOBJ(mkstemp))
AC_LANG_POP(C++)])dnl
dnl
dnl
diff --git a/configure b/configure
index 757b3038..913d0649 100755
--- a/configure
+++ b/configure
@@ -4601,93 +4601,65 @@ EOF
fi
done
+echo "$as_me:4604: checking for mkstemp" >&5
+echo $ECHO_N "checking for mkstemp... $ECHO_C" >&6
ac_ext=cc
ac_cpp='$CXXCPP $CPPFLAGS'
ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
-echo "$as_me:4610: checking for mkstemp" >&5
-echo $ECHO_N "checking for mkstemp... $ECHO_C" >&6
-if test "${ac_cv_func_mkstemp+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
- cat >conftest.$ac_ext <<_ACEOF
-#line 4616 "configure"
+cat >conftest.$ac_ext <<_ACEOF
+#line 4613 "configure"
#include "confdefs.h"
-/* System header to define __stub macros and hopefully few prototypes,
- which can conflict with char mkstemp (); below. */
-#include <assert.h>
-/* Override any gcc2 internal prototype to avoid an error. */
-#ifdef __cplusplus
-extern "C"
-#endif
-/* We use char because int might match the return type of a gcc2
- builtin and then its argument prototype would still apply. */
-char mkstemp ();
-char (*f) ();
-
+#include <stdlib.h>
+int (*f) (char *);
int
main ()
{
-/* The GNU C library defines this for functions which it implements
- to always fail with ENOSYS. Some functions are actually named
- something starting with __ and the normal name is an alias. */
-#if defined (__stub_mkstemp) || defined (__stub___mkstemp)
-choke me
-#else
f = mkstemp;
-#endif
-
;
return 0;
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:4647: \"$ac_link\"") >&5
+if { (eval echo "$as_me:4626: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
- echo "$as_me:4650: \$? = $ac_status" >&5
+ echo "$as_me:4629: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:4653: \"$ac_try\"") >&5
+ { (eval echo "$as_me:4632: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:4656: \$? = $ac_status" >&5
+ echo "$as_me:4635: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- ac_cv_func_mkstemp=yes
-else
- echo "$as_me: failed program was:" >&5
-cat conftest.$ac_ext >&5
-ac_cv_func_mkstemp=no
-fi
-rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
-fi
-echo "$as_me:4666: result: $ac_cv_func_mkstemp" >&5
-echo "${ECHO_T}$ac_cv_func_mkstemp" >&6
-if test $ac_cv_func_mkstemp = yes; then
-
+ echo "$as_me:4637: result: yes" >&5
+echo "${ECHO_T}yes" >&6;
cat >>confdefs.h <<\EOF
#define HAVE_MKSTEMP 1
EOF
else
- LIBOBJS="$LIBOBJS mkstemp.$ac_objext"
+ echo "$as_me: failed program was:" >&5
+cat conftest.$ac_ext >&5
+echo "$as_me:4646: result: no" >&5
+echo "${ECHO_T}no" >&6;LIBOBJS="$LIBOBJS mkstemp.$ac_objext"
fi
-
+rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
ac_ext=c
ac_cpp='$CPP $CPPFLAGS'
ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
ac_compiler_gnu=$ac_cv_c_compiler_gnu
-echo "$as_me:4684: checking for sys_siglist declaration in signal.h or unistd.h" >&5
+echo "$as_me:4656: checking for sys_siglist declaration in signal.h or unistd.h" >&5
echo $ECHO_N "checking for sys_siglist declaration in signal.h or unistd.h... $ECHO_C" >&6
if test "${ac_cv_decl_sys_siglist+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 4690 "configure"
+#line 4662 "configure"
#include "confdefs.h"
#include <sys/types.h>
#include <signal.h>
@@ -4705,16 +4677,16 @@ char *msg = *(sys_siglist + 1);
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:4708: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:4680: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:4711: \$? = $ac_status" >&5
+ echo "$as_me:4683: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:4714: \"$ac_try\"") >&5
+ { (eval echo "$as_me:4686: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:4717: \$? = $ac_status" >&5
+ echo "$as_me:4689: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_decl_sys_siglist=yes
else
@@ -4724,7 +4696,7 @@ ac_cv_decl_sys_siglist=no
fi
rm -f conftest.$ac_objext conftest.$ac_ext
fi
-echo "$as_me:4727: result: $ac_cv_decl_sys_siglist" >&5
+echo "$as_me:4699: result: $ac_cv_decl_sys_siglist" >&5
echo "${ECHO_T}$ac_cv_decl_sys_siglist" >&6
if test $ac_cv_decl_sys_siglist = yes; then
@@ -4740,10 +4712,10 @@ ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
-echo "$as_me:4743: checking whether ANSI array delete syntax supported" >&5
+echo "$as_me:4715: checking whether ANSI array delete syntax supported" >&5
echo $ECHO_N "checking whether ANSI array delete syntax supported... $ECHO_C" >&6
cat >conftest.$ac_ext <<_ACEOF
-#line 4746 "configure"
+#line 4718 "configure"
#include "confdefs.h"
int
@@ -4755,23 +4727,23 @@ char *p = new char[5]; delete [] p;
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:4758: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:4730: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:4761: \$? = $ac_status" >&5
+ echo "$as_me:4733: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:4764: \"$ac_try\"") >&5
+ { (eval echo "$as_me:4736: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:4767: \$? = $ac_status" >&5
+ echo "$as_me:4739: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- echo "$as_me:4769: result: yes" >&5
+ echo "$as_me:4741: result: yes" >&5
echo "${ECHO_T}yes" >&6
else
echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
-echo "$as_me:4774: result: no" >&5
+echo "$as_me:4746: result: no" >&5
echo "${ECHO_T}no" >&6;
cat >>confdefs.h <<\EOF
#define ARRAY_DELETE_NEEDS_SIZE 1
@@ -4791,10 +4763,10 @@ ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
-echo "$as_me:4794: checking traditional preprocessor" >&5
+echo "$as_me:4766: checking traditional preprocessor" >&5
echo $ECHO_N "checking traditional preprocessor... $ECHO_C" >&6
cat >conftest.$ac_ext <<_ACEOF
-#line 4797 "configure"
+#line 4769 "configure"
#include "confdefs.h"
#define name2(a,b) a/**/b
int
@@ -4806,18 +4778,18 @@ int name2(foo,bar);
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:4809: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:4781: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:4812: \$? = $ac_status" >&5
+ echo "$as_me:4784: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:4815: \"$ac_try\"") >&5
+ { (eval echo "$as_me:4787: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:4818: \$? = $ac_status" >&5
+ echo "$as_me:4790: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- echo "$as_me:4820: result: yes" >&5
+ echo "$as_me:4792: result: yes" >&5
echo "${ECHO_T}yes" >&6;
cat >>confdefs.h <<\EOF
#define TRADITIONAL_CPP 1
@@ -4826,7 +4798,7 @@ EOF
else
echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
-echo "$as_me:4829: result: no" >&5
+echo "$as_me:4801: result: no" >&5
echo "${ECHO_T}no" >&6
fi
rm -f conftest.$ac_objext conftest.$ac_ext
@@ -4836,14 +4808,14 @@ ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
ac_compiler_gnu=$ac_cv_c_compiler_gnu
-echo "$as_me:4839: checking w_coredump" >&5
+echo "$as_me:4811: checking w_coredump" >&5
echo $ECHO_N "checking w_coredump... $ECHO_C" >&6
if test "$cross_compiling" = yes; then
- echo "$as_me:4842: result: no" >&5
+ echo "$as_me:4814: result: no" >&5
echo "${ECHO_T}no" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 4846 "configure"
+#line 4818 "configure"
#include "confdefs.h"
#include <sys/types.h>
#include <sys/wait.h>
@@ -4859,17 +4831,17 @@ main()
}
_ACEOF
rm -f conftest$ac_exeext
-if { (eval echo "$as_me:4862: \"$ac_link\"") >&5
+if { (eval echo "$as_me:4834: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
- echo "$as_me:4865: \$? = $ac_status" >&5
+ echo "$as_me:4837: \$? = $ac_status" >&5
(exit $ac_status); } && { ac_try='./conftest$ac_exeext'
- { (eval echo "$as_me:4867: \"$ac_try\"") >&5
+ { (eval echo "$as_me:4839: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:4870: \$? = $ac_status" >&5
+ echo "$as_me:4842: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- echo "$as_me:4872: result: yes" >&5
+ echo "$as_me:4844: result: yes" >&5
echo "${ECHO_T}yes" >&6;
cat >>confdefs.h <<\EOF
#define WCOREFLAG 0200
@@ -4879,18 +4851,18 @@ else
echo "$as_me: program exited with status $ac_status" >&5
echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
-echo "$as_me:4882: result: no" >&5
+echo "$as_me:4854: result: no" >&5
echo "${ECHO_T}no" >&6
fi
rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
fi
-echo "$as_me:4887: checking default value for grops -b option" >&5
+echo "$as_me:4859: checking default value for grops -b option" >&5
echo $ECHO_N "checking default value for grops -b option... $ECHO_C" >&6
test -n "${BROKEN_SPOOLER_FLAGS}" || BROKEN_SPOOLER_FLAGS=7
-echo "$as_me:4890: result: $BROKEN_SPOOLER_FLAGS" >&5
+echo "$as_me:4862: result: $BROKEN_SPOOLER_FLAGS" >&5
echo "${ECHO_T}$BROKEN_SPOOLER_FLAGS" >&6
-echo "$as_me:4893: checking default paper size" >&5
+echo "$as_me:4865: checking default paper size" >&5
echo $ECHO_N "checking default paper size... $ECHO_C" >&6
if test -z "$PAGE"; then
descfile=
@@ -4936,22 +4908,22 @@ cat >>confdefs.h <<\EOF
EOF
fi
-echo "$as_me:4939: result: $PAGE" >&5
+echo "$as_me:4911: result: $PAGE" >&5
echo "${ECHO_T}$PAGE" >&6
-echo "$as_me:4942: checking for existing troff installation" >&5
+echo "$as_me:4914: checking for existing troff installation" >&5
echo $ECHO_N "checking for existing troff installation... $ECHO_C" >&6
if test "x`(echo .tm '|n(.g' | tr '|' '\\\\' | troff -z -i 2>&1) 2>/dev/null`" = x0; then
- echo "$as_me:4945: result: yes" >&5
+ echo "$as_me:4917: result: yes" >&5
echo "${ECHO_T}yes" >&6
g=g
else
- echo "$as_me:4949: result: no" >&5
+ echo "$as_me:4921: result: no" >&5
echo "${ECHO_T}no" >&6
g=
fi
-echo "$as_me:4954: checking for prefix of system macro packages" >&5
+echo "$as_me:4926: checking for prefix of system macro packages" >&5
echo $ECHO_N "checking for prefix of system macro packages... $ECHO_C" >&6
sys_tmac_prefix=
sys_tmac_file_prefix=
@@ -4968,11 +4940,11 @@ for d in /usr/share/lib/tmac /usr/lib/tmac; do
done
done
done
-echo "$as_me:4971: result: $sys_tmac_prefix" >&5
+echo "$as_me:4943: result: $sys_tmac_prefix" >&5
echo "${ECHO_T}$sys_tmac_prefix" >&6
tmac_wrap=
-echo "$as_me:4975: checking which system macro packages should be made available" >&5
+echo "$as_me:4947: checking which system macro packages should be made available" >&5
echo $ECHO_N "checking which system macro packages should be made available... $ECHO_C" >&6
if test "x$sys_tmac_file_prefix" = "xtmac."; then
for f in $sys_tmac_prefix*; do
@@ -5008,7 +4980,7 @@ elif test -n "$sys_tmac_prefix"; then
done
rm -f conftest.sol
fi
-echo "$as_me:5011: result: $tmac_wrap" >&5
+echo "$as_me:4983: result: $tmac_wrap" >&5
echo "${ECHO_T}$tmac_wrap" >&6
ac_config_files="$ac_config_files stamp-h"
@@ -5094,7 +5066,7 @@ DEFS=-DHAVE_CONFIG_H
: ${CONFIG_STATUS=./config.status}
ac_clean_files_save=$ac_clean_files
ac_clean_files="$ac_clean_files $CONFIG_STATUS"
-{ echo "$as_me:5097: creating $CONFIG_STATUS" >&5
+{ echo "$as_me:5069: creating $CONFIG_STATUS" >&5
echo "$as_me: creating $CONFIG_STATUS" >&6;}
cat >$CONFIG_STATUS <<_ACEOF
#! $SHELL
@@ -5267,7 +5239,7 @@ cat >>$CONFIG_STATUS <<\EOF
echo "$ac_cs_version"; exit 0 ;;
--he | --h)
# Conflict between --help and --header
- { { echo "$as_me:5270: error: ambiguous option: $1
+ { { echo "$as_me:5242: error: ambiguous option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: ambiguous option: $1
Try \`$0 --help' for more information." >&2;}
@@ -5286,7 +5258,7 @@ Try \`$0 --help' for more information." >&2;}
ac_need_defaults=false;;
# This is an error.
- -*) { { echo "$as_me:5289: error: unrecognized option: $1
+ -*) { { echo "$as_me:5261: error: unrecognized option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: unrecognized option: $1
Try \`$0 --help' for more information." >&2;}
@@ -5325,7 +5297,7 @@ do
"Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
"src/xditview/Imakefile" ) CONFIG_FILES="$CONFIG_FILES src/xditview/Imakefile" ;;
"src/include/config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS src/include/config.h:src/include/config.hin" ;;
- *) { { echo "$as_me:5328: error: invalid argument: $ac_config_target" >&5
+ *) { { echo "$as_me:5300: error: invalid argument: $ac_config_target" >&5
echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
{ (exit 1); exit 1; }; };;
esac
@@ -5554,7 +5526,7 @@ done; }
esac
if test x"$ac_file" != x-; then
- { echo "$as_me:5557: creating $ac_file" >&5
+ { echo "$as_me:5529: creating $ac_file" >&5
echo "$as_me: creating $ac_file" >&6;}
rm -f "$ac_file"
fi
@@ -5572,7 +5544,7 @@ echo "$as_me: creating $ac_file" >&6;}
-) echo $tmp/stdin ;;
[\\/$]*)
# Absolute (can't be DOS-style, as IFS=:)
- test -f "$f" || { { echo "$as_me:5575: error: cannot find input file: $f" >&5
+ test -f "$f" || { { echo "$as_me:5547: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
echo $f;;
@@ -5585,7 +5557,7 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
echo $srcdir/$f
else
# /dev/null tree
- { { echo "$as_me:5588: error: cannot find input file: $f" >&5
+ { { echo "$as_me:5560: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
fi;;
@@ -5650,7 +5622,7 @@ for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
* ) ac_file_in=$ac_file.in ;;
esac
- test x"$ac_file" != x- && { echo "$as_me:5653: creating $ac_file" >&5
+ test x"$ac_file" != x- && { echo "$as_me:5625: creating $ac_file" >&5
echo "$as_me: creating $ac_file" >&6;}
# First look for the input files in the build tree, otherwise in the
@@ -5661,7 +5633,7 @@ echo "$as_me: creating $ac_file" >&6;}
-) echo $tmp/stdin ;;
[\\/$]*)
# Absolute (can't be DOS-style, as IFS=:)
- test -f "$f" || { { echo "$as_me:5664: error: cannot find input file: $f" >&5
+ test -f "$f" || { { echo "$as_me:5636: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
echo $f;;
@@ -5674,7 +5646,7 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
echo $srcdir/$f
else
# /dev/null tree
- { { echo "$as_me:5677: error: cannot find input file: $f" >&5
+ { { echo "$as_me:5649: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
fi;;
@@ -5791,7 +5763,7 @@ cat >>$CONFIG_STATUS <<\EOF
rm -f $tmp/in
if test x"$ac_file" != x-; then
if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
- { echo "$as_me:5794: $ac_file is unchanged" >&5
+ { echo "$as_me:5766: $ac_file is unchanged" >&5
echo "$as_me: $ac_file is unchanged" >&6;}
else
ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
@@ -5858,7 +5830,7 @@ if test "$no_create" != yes; then
$ac_cs_success || { (exit 1); exit 1; }
fi
-{ echo "$as_me:5861:
+{ echo "$as_me:5833:
Configuration completed.
diff --git a/doc/groff.texinfo b/doc/groff.texinfo
index 140ddb8b..531508ea 100644
--- a/doc/groff.texinfo
+++ b/doc/groff.texinfo
@@ -7414,7 +7414,7 @@ The @code{als} request can make a macro have more than one name.
This would be called as
@Example
-.vl $Id: groff.texinfo,v 1.83 2001/11/21 00:09:11 wlemb Exp $
+.vl $Id: groff.texinfo,v 1.84 2001/11/26 21:53:28 wlemb Exp $
@endExample
@endDefesc
@@ -7438,15 +7438,18 @@ vertical motion, @code{sp}.
@cindex page location, returning to marked (@code{rt})
@cindex location, page, returning to marked (@code{rt})
@Defreq {mk, [@Var{reg}]}
-@Defreqx {rt, reg}
+@Defreqx {rt, [@Var{dist}]}
The request @code{mk} can be used to mark a location on a page, for
-movement to later. This request takes a register name as an argument in
-which to store the current page location. With no argument it
-stores the location in an internal register. The results of this can be
-used later by the @code{rt} or the @code{sp} request. The @code{rt}
-request returns @emph{upwards} to the location given in the register
-name given as an argument; with no argument it returns to the
-location marked with the @code{mk} request.
+movement to later. This request takes a register name as an argument
+in which to store the current page location. With no argument it
+stores the location in an internal register. The results of this can
+be used later by the @code{rt} or the @code{sp} request (or the
+@code{\v} escape).
+
+The @code{rt} request returns @emph{upwards} to the location marked
+with the last @code{mk} request. If used with an argument, return to
+a position which distance from the top of the page is @var{dist} (no
+previous call to @code{mk} is necessary in this case).
@c XXX example
@ignore
@@ -7468,6 +7471,10 @@ default unit for this escape @samp{v}. Beware, however, that
@code{gtroff} continues text processing at the point where the motion
ends, so you should always balance motions to avoid interference with
text processing.
+
+@code{\v} doesn't trigger a trap. This can be quite useful; for example,
+consider a page bottom trap macro which prints a marker in the margin to
+indicate continuation of a footnote or something similar.
@endDefesc
There are some special case escapes for vertical motion.
@@ -7705,8 +7712,8 @@ ends.
@Defesc {\\D, ', command arg @dots{}, '}
The @code{\D} escape provides a variety of drawing functions.
-While the previous escapes work on a character device, these
-escapes do not.
+Note that on character devices, only vertical and horizontal lines are
+supported within @code{grotty}.
@table @code
@item \D'l @var{dx} @var{dy}'
diff --git a/tmac/Makefile.sub b/tmac/Makefile.sub
index 6d1b1352..b72c53ae 100644
--- a/tmac/Makefile.sub
+++ b/tmac/Makefile.sub
@@ -5,7 +5,7 @@ MAN7=\
groff_man.n \
groff_me.n \
groff_mdoc.n \
- groff_mwww.n
+ groff_www.n
NORMALFILES=\
mandoc.tmac andoc.tmac an-old.tmac \
@@ -20,7 +20,7 @@ NORMALFILES=\
tty.tmac tty-char.tmac latin1.tmac \
X.tmac Xps.tmac \
lj4.tmac \
- html.tmac mwww.tmac www.tmac color-html.tmac \
+ html.tmac www.tmac color-html.tmac \
color.tmac \
eqnrc \
troffrc troffrc-end \
diff --git a/tmac/groff_www.man b/tmac/groff_www.man
new file mode 100644
index 00000000..4de82157
--- /dev/null
+++ b/tmac/groff_www.man
@@ -0,0 +1,291 @@
+.TH GROFF_MWWW @MAN7EXT@ "@MDATE@" "Groff Version @VERSION@"
+.\" Copyright (C) 2000, 2001 Free Software Foundation, Inc.
+.\" Written by Gaius Mulley (gaius@glam.ac.uk)
+.\"
+.\" This file is part of groff.
+.\"
+.\" groff is free software; you can redistribute it and/or modify it under
+.\" the terms of the GNU General Public License as published by the Free
+.\" Software Foundation; either version 2, or (at your option) any later
+.\" version.
+.\"
+.\" groff is distributed in the hope that it will be useful, but WITHOUT ANY
+.\" WARRANTY; without even the implied warranty of MERCHANTABILITY or
+.\" FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
+.\" for more details.
+.\"
+.\" You should have received a copy of the GNU General Public License along
+.\" with groff; see the file COPYING. If not, write to the Free Software
+.\" Foundation, 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+.\"
+.\" user level guide to using the -mwww macroset
+.\"
+.do mso www.tmac
+.\" we need the .LINKS here as we use it in the middle as an example
+.\" once the user requests .LINKS then the automatic generation of links
+.\" at the top of the document is suppresed.
+.LINKS
+.SH NAME
+groff_mwww \- groff macros for authoring web pages
+.LINE
+.SH SYNOPSIS
+.B "groff \-mwww"
+[ options ]
+file ...
+.SH DESCRIPTION
+This manual page describes the GNU \-mwww macros, which is part of the
+groff document formatting system.
+The manual page is very a basic guide, and the html device driver
+.RB ( grohtml )
+has been completely rewritten but still remains as in an alpha state.
+It has been included into the distribution so that a lot of people have a
+chance to test it.
+Note that this macro file will be automatically called (via the
+\fCtroffrc\fP file) if you use \fC-Thtml\fP.
+.PP
+To see the hyperlinks in action, please format this man page with the
+.B grohtml
+device.
+.PP
+Here is a summary of the functions found in this macro set.
+.SH SYNPOSIS
+.ta 2iL
+\&.HTMLINDEX determine automatic link cut off
+.br
+ point for sections/headers
+.br
+\&.BODYCOLOR specify colours on a web page
+.br
+\&.BACKGROUND specify background image
+.br
+\&.URL create a url using two parameters
+.br
+\&.MAILTO create a html email address
+.br
+\&.FTP create an ftp reference
+.br
+\&.IMAGE include an image file
+.br
+\&.HTML pass an html raw request to the
+.br
+ device driver
+.br
+\&.TAG generate an html name tag from $1
+.br
+.\"\&.CDFTP optionally create two different links
+.\".br
+.\" depending on hostname
+.\".br
+\&.LINE create a full width horizontal rule
+.br
+.PP
+Output of the
+.IR pic ,
+.IR eqn ,
+.IR refer ,
+and
+.I tbl
+preprocessors is acceptable as input.
+.SH REQUESTS
+.TP
+.B HTMLINDEX
+determines the cut off point for automatic link generation to headings.
+By default all headings found in a troff document have links created to them
+at the top of the html web page.
+It maybe that many of the lower heading levels do not require links.
+Alternatively some web pages may not need any heading links at all, in which
+case:
+.sp
+.nf
+\fC\&.HTMLINDEX 0\fP
+.fi
+.sp
+will tell
+.B grohtml
+not to generate links.
+An \fCHTMLINDEX\fP of 2 will mean that a heading
+.sp
+.B "1.1.1 Some Title"
+.sp
+will not be included in the links either as it is said to have a heading
+level of three.
+Another method for switching automatic headings is via the command line
+switch \fC-P-l\fP.
+.TP
+.B BODYCOLOR
+takes five parameters: foreground, background, active hypertext link,
+hypertext link not yet visited, and visited hypertext link colour.
+.TP
+.B BACKGROUND
+the only parameter to this macro is the background image file.
+.TP
+.B URL
+generates
+.TAG URL
+a URL using either two or three arguments.
+$1 is the name of the link, $2 is the actual URL, and $3 is optional stuff
+to be printed immediately after $2.
+Hyphenation is disabled while printing the actual URL; explicit breakpoints
+should be inserted with the
+.B \e:
+escape.
+Here is how to encode
+.URL "homepage for groff" http://\:groff.\:ffii.\:org/ :
+.sp
+.nf
+\s-2\fC\&.URL "homepage for groff" http://\e:groff.\e:ffii.\e:org/ :\fP\s+2
+.fi
+.sp
+If this is processed by a device other than \fC-Thtml\fP
+it appears as:
+homepage for groff \(lahttp://groff.\:ffii.\:org\(ra.
+The URL macro can be of any type; for example we can reference
+.URL "Eric Raymond's pic guide" pic.html
+by:
+.sp
+.nf
+\s-2\fC\&.URL "Eric Raymond's pic guide" pic.html\fP\s+2
+.fi
+.sp
+.TP
+.B MAILTO
+generates an email html reference.
+The first argument is mandatory as the email address.
+The optional second argument is the text you see in your browser, and
+an optional third argument is stuff printed immediately after the
+second argument.
+Hyphenation is disabled while printing the actual email address.
+For example, the groff maintainers are
+.MAILTO wl@gnu.org "Werner Lemberg"
+and
+.MAILTO Ted.Harding@nessie.mcc.ac.uk "Ted Harding" .
+This is achieved by the following macros:
+.sp
+.nf
+\s-2\fC\&.MAILTO wl@gnu.org "Werner Lemberg"
+\&.MAILTO Ted.Harding@nessie.mcc.ac.uk "Ted Harding" .\s+2\fP
+.fi
+.sp
+Note that all the urls actually are treated as consuming no textual space
+in groff.
+This could be considered as a bug since it causes some problems.
+To circumvent this, \fCwww.tmac\fP inserts a zero-width character which
+expands to a harmless space (only if run with -Thtml).
+.TP
+.B FTP
+indicates that data can be obtained via ftp.
+The first argument is the browser text and the second is the url.
+A third argument, similar to the macros above, is intended for stuff printed
+immediately after the second argument.
+The second and the third parameter are optional.
+Hyphenation is disabled while printing the actual URL.
+As an example, here the location of the
+.FTP "current groff development distribution" \
+ftp://ftp.ffii.org/\:pub/\:groff/\:devel/\:groff-current.tar.gz .
+The macro example above was specified by:
+.sp
+.nf
+\s-2\fC\&.FTP "current groff development distribution" \\
+ftp://ftp.ffii.org/\e:pub/\e:groff/\e:devel/\e:groff-current.tar.gz .\fP\s+2
+.fi
+.sp
+.TP
+.B IMAGE
+allows the document to include pictures.
+The first argument is the image file.
+The second optional argument gives the horizontal location;
+.B l
+puts the image to the left border,
+.B r
+to the right.
+Any other value centers the image.
+The next two arguments are optional also:
+Argument three is the width in pixels (default is 400 pixels if absent).
+The fourth argument is the height in pixels (default is the width value if
+absent).
+.sp
+.TP
+.B HTML
+all text after this macro is treated as raw html.
+If the document is processed \fIwithout\fP \fC-Thtml\fP then
+the macro is ignored.
+This macro is a building block for other higher level macros.
+.sp
+For example, the \fCBACKGROUND\fP macro is defined as:
+.nf
+\fC\&.de BACKGROUND
+\&. HTML <body background=\\$1>
+\&..
+\fP
+.fi
+.TP
+.B TAG
+generates an html name tag from its argument.
+This can then be referenced using the
+.URL URL #URL
+macro.
+As you can see, you must precede the tag name with `\fC#\fP' since it is
+a local reference.
+This link was achieved via placing a TAG in the URL description above;
+the source looks like this:
+.sp
+.nf
+\s-2\fC\&.TP
+\&.B URL
+generates
+\&.TAG URL
+a URL using either two or three
+arguments.
+$1 is the name of the link, $2 is the actual URL.\fP\s+2
+.fi
+.sp
+.TP
+.B LINE
+generates a full width horizontal rule.
+Example:
+.sp
+.nf
+\fC\s-2\&.LINE\fP\s+2
+.fi
+.sp
+.TP
+.B LINKS
+.TAG LINK
+requests that grohtml place the automatically generated links at this position.
+For example:
+.LINKS
+.SH
+SECTION HEADING LINKS
+.LP
+By default
+.B grohtml
+generates links to all section headings and places these at the top of the
+html document. (See
+.URL LINKS #LINK
+for details of how to switch this off or alter the position.
+.SH
+LIMITATIONS OF GROHTML
+.LP
+Tbl information is currently rendered as a png image.
+.SH FILES
+@MACRODIR@/mwww.tmac (a wrapper for www.tmac)
+.br
+@MACRODIR@/www.tmac
+.SH "SEE ALSO"
+.BR groff (@MAN1EXT@),
+.BR @g@troff (@MAN1EXT@)
+.BR grohtml (@MAN1EXT@),
+.LP
+.SH AUTHOR
+.B Grohtml
+was written by
+.MAILTO gaius@glam.ac.uk "Gaius Mulley"
+.SH BUGS
+Report bugs to the
+.MAILTO bug-groff@gnu.org "Groff Bug Mailing List" .
+Include a complete, self-contained example that will allow the bug to be
+reproduced, and say which version of groff you are using.
+.
+.\" Local Variables:
+.\" mode: nroff
+.\" End:
diff --git a/tmac/mwww.tmac b/tmac/mwww.tmac
deleted file mode 100755
index b258688a..00000000
--- a/tmac/mwww.tmac
+++ /dev/null
@@ -1,3 +0,0 @@
-.\" mwww.tmac
-.\"
-.do mso www.tmac
diff --git a/win32-diffs b/win32-diffs
index 3d61f3e6..ec910dd9 100644
--- a/win32-diffs
+++ b/win32-diffs
@@ -2890,9 +2890,9 @@ diff -aruN groff/src/libs/libgroff/version.cc groff.win32/src/libs/libgroff/vers
--- groff/src/libs/libgroff/version.cc Thu Jan 1 00:00:00 1970
+++ groff.win32/src/libs/libgroff/version.cc Wed May 17 08:57:48 2000
@@ -0,0 +1,3 @@
-+const char *version_string = "1.17";
-+const char *revision_string = "3";
-+extern "C" const char *Version_string = "1.17.3";
++const char *version_string = "1.18";
++const char *revision_string = "0";
++extern "C" const char *Version_string = "1.18";
diff -aruN groff/src/preproc/eqn/Makefile.msc groff.win32/src/preproc/eqn/Makefile.msc
--- groff/src/preproc/eqn/Makefile.msc Thu Jan 1 00:00:00 1970
+++ groff.win32/src/preproc/eqn/Makefile.msc Wed May 17 08:57:48 2000
@@ -3044,5 +3044,5 @@ diff -aruN groff/src/roff/troff/majorminor.cc groff.win32/src/roff/troff/majormi
+++ groff.win32/src/roff/troff/majorminor.cc Wed May 17 08:57:48 2000
@@ -0,0 +1,3 @@
+const char *major_version = "1";
-+const char *minor_version = "17";
-+const char *revision = "3";
++const char *minor_version = "18";
++const char *revision = "0";